'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeWeakMapRead = exports.makeWeakMapInitialization = exports.makeWeakMapDeclaration = undefined;

var _babelTemplate = require('babel-template');

var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var makeWeakMapDeclaration = (0, _babelTemplate2.default)('const WEAK_MAP = new WeakMap();');
var makeWeakMapInitialization = (0, _babelTemplate2.default)('WEAK_MAP.set(this, {})');
var makeWeakMapRead = (0, _babelTemplate2.default)('WEAK_MAP.get(this).PROPERTY');

exports.makeWeakMapDeclaration = makeWeakMapDeclaration;
exports.makeWeakMapInitialization = makeWeakMapInitialization;
exports.makeWeakMapRead = makeWeakMapRead;